
--- kbackgammon/Makefile.am	10 Dec 2002 20:31:41 -0000	1.1.1.4
+++ kbackgammon/Makefile.am	10 Dec 2002 20:56:04 -0000	1.7
@@ -9,6 +9,9 @@
 			kbgstatus.cpp
 kbackgammon_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
+kbackgammon_main.cpp: main.cpp
+	cat main.cpp > kbackgammon_main.cpp
+
 noinst_HEADERS = version.h kbg.h kbgboard.h kbgtextview.h kbgstatus.h
 
 SUBDIRS = pics sounds icons engines
@@ -22,9 +25,3 @@
 messages: rc.cpp	
 	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
 	$(XGETTEXT) $$LIST -o $(podir)/kbackgammon.pot
-
-dummy.cpp:
-	echo > dummy.cpp
-
-install-data-local:
-	rm -rf $(DESTDIR)$(kde_appsdir)/Games/kbackgammon.desktop
--- kbackgammon/engines/Makefile.am	25 Jun 2002 02:34:25 -0000	1.1.1.1
+++ kbackgammon/engines/Makefile.am	25 Jun 2002 02:35:57 -0000	1.2
@@ -3,7 +3,7 @@
 libkbgengines_la_SOURCES = dummy.cpp
 libkbgengines_la_LIBADD  = offline/libkbgoffline.la gnubg/libkbggnubg.la \
                            generic/libkbggeneric.la fibs/libkbgfibs.la   \
-			   nextgen/libkbgnextgen.la
+			   nextgen/libkbgnextgen.la $(LIB_KDECORE) $(LIB_QT)
 
 INCLUDES= $(all_includes)
 
--- kbattleship/kbattleship/dialogs/Makefile.am	25 Jun 2002 02:34:25 -0000	1.1.1.1
+++ kbattleship/kbattleship/dialogs/Makefile.am	1 Jun 2003 14:31:58 -0000	1.2
@@ -4,7 +4,7 @@
 
 libkbattleshipdialogs_la_SOURCES = dummy.cpp connectDlg.ui serverDlg.ui chatDlg.ui statDlg.ui singleDlg.ui infoDlg.ui highscoreDlg.ui
 libkbattleshipdialogs_la_LIBADD = $(LIB_KDEUI)
-libkbattleshipdialogs_la_LDFLAGS = $(all_libraries)
+libkbattleshipdialogs_la_LDFLAGS = $(all_libraries) -no-undefined
 libkbattleshipdialogs_la_METASOURCES = AUTO
 
 dummy.cpp:
--- kolf/Makefile.am	29 Oct 2002 15:53:13 -0000	1.1.1.3
+++ kolf/Makefile.am	1 Jun 2003 14:31:58 -0000	1.8
@@ -1,17 +1,17 @@
 SUBDIRS = objects sounds courses pics graphics
 INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/libkdegames $(all_includes)
 
-lib_LTLIBRARIES = libkolf.la
+lib_LTLIBRARIES = libkolf_shared.la
 bin_PROGRAMS = kolf
 
-libkolf_la_SOURCES = \
+libkolf_shared_la_SOURCES = \
 	kolf.cpp game.cpp canvasitem.cpp ball.cpp newgame.cpp config.cpp \
 	scoreboard.cpp editor.cpp pluginloader.cpp object.cpp vector.cpp \
 	printdialogpage.cpp kcomboboxdialog.cpp kvolumecontrol.cpp \
 	floater.cpp slope.cpp
 
-libkolf_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -export-dynamic
-libkolf_la_LIBADD = $(LIB_KDEGAMES) $(LIB_KDEPRINT) $(LIB_KIO) -lartskde
+libkolf_shared_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -export-dynamic -avoid-version -no-undefined
+libkolf_shared_la_LIBADD = $(LIB_KDEGAMES) $(LIB_KDEPRINT) $(LIB_KIO) -lartskde -lsoundserver_idl -lmcop -lartsflow_idl -lkdeprint
 
 # the installed header files
 kolfinclude_HEADERS = \
@@ -24,17 +24,16 @@
 # kdeinited lib
 kde_module_LTLIBRARIES = kolf.la
 kolf_la_SOURCES = main.cpp
-kolf_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -module -avoid-version
-kolf_la_LIBADD = libkolf.la
-
+kolf_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -avoid-version -module
+kolf_la_LIBADD = libkolf_shared.la
 
 # the empty "stub" app that has nothing
-kolf_SOURCES = dummy.cpp
+kolf_SOURCES = kolf_main.cpp
 kolf_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kolf_LDADD   = kolf.la
+kolf_LDADD   = libkolf_shared.la
 
-dummy.cpp:
-	echo > dummy.cpp
+kolf_main.cpp: main.cpp
+	cat main.cpp > kolf_main.cpp
 
 EXTRA_DIST = kolf.desktop
 
--- kpat/freecell-solver/freecell.c	25 Jun 2002 02:34:26 -0000	1.1.1.1
+++ kpat/freecell-solver/freecell.c	25 Jun 2002 02:35:57 -0000	1.2
@@ -12,7 +12,9 @@
 #include <stdio.h>
 #include <math.h>
 #if FCS_STATE_STORAGE==FCS_STATE_STORAGE_LIBREDBLACK_TREE
+#ifndef __APPLE__
 #include <search.h>
+#endif
 #endif
 
 
--- kpat/freecell-solver/intrface.c	25 Jun 2002 02:34:26 -0000	1.1.1.1
+++ kpat/freecell-solver/intrface.c	25 Jun 2002 02:35:57 -0000	1.2
@@ -16,7 +16,9 @@
 #include <sys/stat.h>
 #include <fcntl.h>
 #if FCS_STATE_STORAGE==FCS_STATE_STORAGE_LIBREDBLACK_TREE
+#ifndef __APPLE__
 #include <search.h>
+#endif
 #endif
 
 
--- kpat/freecell-solver/md5.h	14 Aug 2002 16:24:51 -0000	1.1.1.2
+++ kpat/freecell-solver/md5.h	14 Aug 2002 18:49:24 -0000	1.3
@@ -14,7 +14,11 @@
 #elif defined(__osf__)
 typedef unsigned int u_int32_t;
 #elif !defined(__linux__) && !defined(__NetBSD__) && !defined(__FreeBSD__)
+# ifdef __APPLE__
+# include <sys/types.h>
+# else
 typedef uint32_t u_int32_t;
+# endif
 #endif  
 
 
--- kpat/freecell-solver/scans.c	25 Jun 2002 02:34:26 -0000	1.1.1.1
+++ kpat/freecell-solver/scans.c	25 Jun 2002 02:35:57 -0000	1.2
@@ -13,7 +13,9 @@
 #include <stdio.h>
 #include <math.h>
 #if FCS_STATE_STORAGE==FCS_STATE_STORAGE_LIBREDBLACK_TREE
+#ifndef __APPLE__
 #include <search.h>
+#endif
 #endif
 
 #include "config.h"
--- libksirtet/lib/mp_interface.cpp	10 Jul 2002 04:33:13 -0000	1.1.1.1
+++ libksirtet/lib/mp_interface.cpp	13 Jul 2002 18:11:52 -0000	1.2
@@ -1,5 +1,6 @@
 #include "mp_interface.h"
 #include "mp_interface.moc"
+#include "mp_board.moc"
 
 #include <qpainter.h>
 #include <qlayout.h>
